TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.create("idp_id");
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.create("idp_id");
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.IdentityProviders.Provisioning.Create(
context.TODO(),
"idp_id",
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.Provisioning.CreateAsync(
"idp_id"
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().provisioning().create("idp_id");
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.provisioning.create(
idp_id="idp_id",
)
curl --request POST \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
"identity_provider_name": "EC-org-gaZPTTOS42pReSzs-id-ready2",
"strategy": "okta",
"method": "scim",
"attributes": [
{
"provisioning_field": "userName",
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"provisioning_field": "externalId",
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
],
"updated_on": "2025-05-15T23:32:52.351Z",
"created_at": "2025-05-15T23:32:52.351Z",
"user_id_attribute": "externalId"
}Create a Provisioning Configuration
Create a new Provisioning Configuration for an Identity Provider specified by ID for this Organization.
POST
/
identity-providers
/
{idp_id}
/
provisioning
TypeScript
import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.create("idp_id");
}
main();import { MyOrganizationClient } from "@auth0/myorganization-js";
async function main() {
const client = new MyOrganizationClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organization.identityProviders.provisioning.create("idp_id");
}
main();
package example
import (
context "context"
client "github.com/auth0/myorganization-go/v2/client"
option "github.com/auth0/myorganization-go/v2/option"
)
func do() {
c, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
c.Organization.IdentityProviders.Provisioning.Create(
context.TODO(),
"idp_id",
)
}
using Auth0.MyOrganizationApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new MyOrganizationClient(new MyOrganizationClientOptions
{
Domain = "{YOUR_DOMAIN}",
TokenProvider = new DelegateTokenProvider(_ => Task.FromResult("<token>"))
});
await client.Organization.IdentityProviders.Provisioning.CreateAsync(
"idp_id"
);
}
}
package com.example.usage;
import com.auth0.client.myorganization.auth.MyOrganizationClient;
public class Example {
public static void main(String[] args) {
MyOrganizationClient client = MyOrganizationClient
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organization().identityProviders().provisioning().create("idp_id");
}
}from auth0.myorganization import MyOrganizationClient
client = MyOrganizationClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organization.identity_providers.provisioning.create(
idp_id="idp_id",
)
curl --request POST \
--url https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/my-org/v1/identity-providers/{idp_id}/provisioning")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"identity_provider_id": "con_2CZPv6IY0gWzDaQJ",
"identity_provider_name": "EC-org-gaZPTTOS42pReSzs-id-ready2",
"strategy": "okta",
"method": "scim",
"attributes": [
{
"provisioning_field": "userName",
"user_attribute": "preferred_username",
"description": "Preferred Username",
"label": "Preferred username",
"is_required": true,
"is_extra": false,
"is_missing": false
},
{
"provisioning_field": "externalId",
"user_attribute": "external_id",
"is_required": true,
"is_extra": true,
"is_missing": false
}
],
"updated_on": "2025-05-15T23:32:52.351Z",
"created_at": "2025-05-15T23:32:52.351Z",
"user_id_attribute": "externalId"
}Authorizations
OAuth2ClientCredentialsOAuth2AuthCode
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Identity provider identifier.
Pattern:
^con_[A-Za-z0-9]{16}$Response
Provisioning configuration successfully created.
Identity provider identifier.
Pattern:
^con_[A-Za-z0-9]{16}$The name of the identity provider
Required string length:
1 - 128The type of the identity provider
Available options:
adfs, google-apps, oidc, okta, pingfederate, samlp, waad The type of an identity provider's provisioning method
Available options:
none, scim Show child attributes
Show child attributes
The ID of the user